> ## Documentation Index
> Fetch the complete documentation index at: https://developer.qminder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of lines



## OpenAPI

````yaml /api-reference/openapi.json get /v1/locations/{id}/lines
openapi: 3.1.0
info:
  title: Qminder API
  version: '1.0'
  description: >-
    The Qminder API allows you to integrate queue management into your own
    applications.
servers:
  - url: https://api.qminder.com
security:
  - sec0: []
tags:
  - name: Locations
    description: Manage physical service locations
  - name: Lines
    description: Manage virtual queues within locations
  - name: Input Fields
    description: Manage custom data fields for locations
  - name: Tickets
    description: Manage visitor queue entries
  - name: Appointments
    description: Manage scheduled appointments
  - name: Users
    description: Manage user accounts and permissions
  - name: Webhooks
    description: Manage webhook subscriptions
paths:
  /v1/locations/{id}/lines:
    get:
      tags:
        - Lines
      summary: Get list of lines
      operationId: get-list-of-lines
      parameters:
        - name: id
          in: path
          description: ID of a location
          schema:
            type: integer
            format: int32
            default: 123
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "statusCode": 200,
                      "data": [
                        {
                          "id": 1827,
                          "name": "Example Line",
                          "location": 123,
                          "color": "#ff00ff",
                          "disabled": false
                        },
                        {
                          "id": 1829,
                          "name": "Example Line 2",
                          "location": 123,
                          "color": "#ff00ff",
                          "disabled": false
                        }
                      ]
                    }
              schema:
                type: object
                properties:
                  statusCode:
                    type: integer
                    example: 200
                    default: 0
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 1827
                          default: 0
                        name:
                          type: string
                          example: Example Line
                        location:
                          type: integer
                          example: 123
                          default: 0
                        color:
                          type: string
                          example: '#ff00ff'
                        disabled:
                          type: boolean
                          example: false
                          default: true
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: X-Qminder-REST-API-Key
      x-default: yourbusinessapikey

````